Bug 613781 - Should not permit image installation before storage is configured
Summary: Should not permit image installation before storage is configured
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-12 19:51 UTC by Joey Boggs
Modified: 2016-04-26 16:26 UTC (History)
5 users (show)

Fixed In Version: ovirt-node-1.9.3-4.gitf53c39c.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 599288
Environment:
Last Closed: 2010-11-11 14:53:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (810 bytes, patch)
2010-07-12 19:51 UTC, Joey Boggs
no flags Details | Diff

Comment 1 Joey Boggs 2010-07-12 19:51:42 UTC
Created attachment 431253 [details]
patch

Comment 4 XinSun 2010-08-24 10:40:17 UTC
Check this bug on rhevh6.0-2.3 snapshot12, do follow steps to test:
1. Boot from CD/PXE/USB bootloader
2. Check there is no any PV/VG/LV existed
3. In firstboot menu, choose option 12 to install
then you can see:
Volume group "HostVG" not found
  Skipping volume group HostVG

Local storage must be configured prior to installing 

Please see detail:

Hypervisor Configuration Menu

1) Configure storage partitions	   8) Register Host to RHN
2) Configure authentication	   9) Enable SNMP Agent
3) Set the hostname		  10) Configure the host for RHEV
4) iSCSI Initiator setup	  11) View logs
5) Networking setup		  12) Install locally and reboot
6) Logging setup		  13) Support Menu
7) Kdump Configuration
Choose an option: 13
This menu is for troubleshooting with support representatives. Do not use these options without guidance from support. Enter the support menu ([Y]es or [N]o)?y
Support Menu

1) Shell			     3) Uninstall an existing Hypervisor
2) Continue boot		     4) Exit support menu
Choose an option:1
[root@localhost /]# pvs
[root@localhost /]# lvs
  No volume groups found
[root@localhost /]# vgs
  No volume groups found

Hypervisor Configuration Menu

1) Configure storage partitions	   8) Register Host to RHN
2) Configure authentication	   9) Enable SNMP Agent
3) Set the hostname		  10) Configure the host for RHEV
4) iSCSI Initiator setup	  11) View logs
5) Networking setup		  12) Install locally and reboot
6) Logging setup		  13) Support Menu
7) Kdump Configuration
Choose an option:12
 Local Installation and Reboot


This option will exit the menu, and require a reboot. 
Please ensure that you have configured the local storage 
and networking correctly on the previous menu before 
continuing.

Current kernel boot parameters are:
console=tty0 console=ttyS0,115200n8 rhgb rd_NO_LUKS rd_NO_MD rd_NO_DM rootflags=ro crashkernel=128M

Please enter kernel boot arguments (hit return to use the above):
Do you wish to continue ([Y]es/[N]o)? y
Volume group "HostVG" not found
  Skipping volume group HostVG

Local storage must be configured prior to installing 

Install locally and reboot ABORTED.


So change this bug's status to verified.

Comment 5 releng-rhel@redhat.com 2010-11-11 14:53:27 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.